Do beta users need 3.2?

Is there any difference between the beta4 software and 3.2? I don’t have a link to download 3.2 and thought just using the beta would be fine by me if it’s the same. Also, if it’s not the same do I have to do a restore to install 3.2 ?

Yes, the 3.1.1b4 is the same software as 3.2. The only thing changed was the version number.